System.Web.Services 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object

You can use the property to add a discoverable file type to a Web services document. While a discovery document is usually serialized as a file using a .disco extension, you can add multiple files to the property, and those files can have other extensions, represented by implementations of .

The class and its concrete derived classes are employed by the class's method, which handles an HTTP request for a discovery document. Normally, none of these classes need to be used directly by a developer.

Establishes an interface for file extension search patterns for discoverable file types.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.Web.Services.Discovery.DiscoveryReference ``

  A class derived from implements the method by returning its associated concrete class derived from .

  For example, the class returns a instance that contains the location of an .asmx Web service file and the corresponding dynamically generated Web Services Description Language (WSDL) document.

  When overridden in a derived class, returns the object for a given file name.

  A file name.

  The name of a discovery file or a file that appears in a dynamically generated discovery document. For example, an .asmx or .xsd file. 1.0.5000.0 2.0.0.0
- Property
  System.String To be added: an object of type 'string'

  The pattern typically specifies a file name extension, for example, .disco or .asmx.

  Gets the file name pattern to use as a search target.

  1.0.5000.0
  2.0.0.0